Bug 974175 - [Patch] test/run_tests fails due to missing imports
[Patch] test/run_tests fails due to missing imports
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: python-nss (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 11:04 EDT by Miloslav Trmač
Modified: 2014-02-07 15:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-07 15:28:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add missing test suite imports (576 bytes, patch)
2013-06-13 11:04 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2013-06-13 11:04:32 EDT
Created attachment 760741 [details]
Add missing test suite imports

Description of problem:
>  File "./run_tests", line 39, in run_tests
>    suite.addTests(loader.loadTestsFromModule(test_ocsp))
> NameError: global name 'test_ocsp' is not defined
and similar problems when running the test suite.

Version-Release number of selected component (if applicable):
changeset:   61:8150a9fb23fd
Comment 1 John Dennis 2013-06-13 13:53:02 EDT
This is fixed upstream, there were two missing imports, if you update your hg repo (hg pull) it will pull in the fix (listed below for reference). Or if you don't have a repo yet, then:

hg clone https://hg.mozilla.org/projects/python-nss

[jdennis@jdennis python-nss]$ hg log -r 62 -p
changeset:   62:0cb1c40bd77e
tag:         tip
user:        John Dennis <jdennis@redhat.com>
date:        Thu Jun 13 13:13:29 2013 -0400
summary:     fix missing import of test_oscp, test_misc

diff -r 8150a9fb23fd -r 0cb1c40bd77e test/run_tests
--- a/test/run_tests	Thu Jun 13 08:45:32 2013 -0400
+++ b/test/run_tests	Thu Jun 13 13:13:29 2013 -0400
@@ -23,6 +23,8 @@
     import test_cipher
     import test_digest
     import test_pkcs12
+    import test_misc
+    import test_ocsp
     import test_client_server
 
     setup_certs.setup_certs()
Comment 2 Fedora End Of Life 2013-09-16 12:59:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.